summaryrefslogtreecommitdiffstats
path: root/share/create-scripts/parts/chroot_config-root-password
diff options
context:
space:
mode:
Diffstat (limited to 'share/create-scripts/parts/chroot_config-root-password')
-rwxr-xr-xshare/create-scripts/parts/chroot_config-root-password33
1 files changed, 33 insertions, 0 deletions
diff --git a/share/create-scripts/parts/chroot_config-root-password b/share/create-scripts/parts/chroot_config-root-password
new file mode 100755
index 0000000..4868ccd
--- /dev/null
+++ b/share/create-scripts/parts/chroot_config-root-password
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+if [ -e "${SYSTEM_ROOT_PASSWORD}" ]
+then
+ SYSTEM_ROOT_PASSWORD="$(head -n1 ${SYSTEM_ROOT_PASSWORD})"
+fi
+
+if [ -z "${SYSTEM_ROOT_PASSWORD}" ]
+then
+ SYSTEM_ROOT_PASSWORD="$(dd if=/dev/urandom bs=12 count=1 2> /dev/null | base64)"
+fi
+
+echo "${SYSTEM_NAME}: setting root password to '${SYSTEM_ROOT_PASSWORD}'"
+echo root:${SYSTEM_ROOT_PASSWORD} | chroot "${SYSTEM_PATH}" chpasswd